%define upstream_name    Math-BigInt-GMP
%define upstream_version 1.38

Summary:	High speed arbitrary size integer math


Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	2
License:	Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Math::BigInt) >= 1.997.0
BuildRequires:	perl(XSLoader) >= 0.20.0
# automatic dependency doesn't work here, because perl package
# provides an unversioned one
BuildRequires:	perl-Math-BigInt >= 1.87
BuildRequires:	gmp-devel
BuildRequires:	perl-devel

%description
This package contains a replacement (drop-in) module for
Math::BigInt's core, Math::BigInt::Calc.pm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL5LIB=%{perl_vendorlib}
perl Makefile.PL INSTALLDIRS="vendor"
%make CFLAGS="%{optflags}"

%check
export PERL5LIB=%{perl_vendorlib}
make test

%install
%makeinstall_std

%files
%doc BUGS CHANGES CREDITS INSTALL LICENSE META.json META.yml README SIGNATURE TODO
%{perl_vendorarch}/Math
%{perl_vendorarch}/auto/Math
%{_mandir}/man*/*



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.380.0-2
+ Revision: b2419ab
- MassBuild#440: Increase release tag


